be.fgov.ehealth.hubservices.core.v2

## Class GetPatientAuditTrailResponse

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.GetPatientAuditTrailResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:42:54+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetPatientAuditTrailResponse
      extends Object
      implements Serializable

  Java class for GetPatientAuditTrailResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetPatientAuditTrailResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="response" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ResponseType"/>
               <element name="acknowledge" type="{http://www.ehealth.fgov.be/hubservices/core/v2}AcknowledgeType"/>
               <element name="transactionaccesslist" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TransactionAccessListType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetPatientAuditTrailResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AcknowledgeType` | `getAcknowledge()` Gets the value of the acknowledge property.
    `ResponseType` | `getResponse()` Gets the value of the response property.
    `TransactionAccessListType` | `getTransactionaccesslist()` Gets the value of the transactionaccesslist property.
    `void` | `setAcknowledge(AcknowledgeType value)` Sets the value of the acknowledge property.
    `void` | `setResponse(ResponseType value)` Sets the value of the response property.
    `void` | `setTransactionaccesslist(TransactionAccessListType value)` Sets the value of the transactionaccesslist property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetPatientAuditTrailResponse

          public GetPatientAuditTrailResponse()

  - ### Method Detail

    - #### getResponse

          public ResponseType getResponse()

      Gets the value of the response property.
      Returns:
        possible object is `ResponseType`

    - #### setResponse

          public void setResponse(ResponseType value)

      Sets the value of the response property.
      Parameters:
        `value` - allowed object is `ResponseType`

    - #### getAcknowledge

          public AcknowledgeType getAcknowledge()

      Gets the value of the acknowledge property.
      Returns:
        possible object is `AcknowledgeType`

    - #### setAcknowledge

          public void setAcknowledge(AcknowledgeType value)

      Sets the value of the acknowledge property.
      Parameters:
        `value` - allowed object is `AcknowledgeType`

    - #### getTransactionaccesslist

          public TransactionAccessListType getTransactionaccesslist()

      Gets the value of the transactionaccesslist property.
      Returns:
        possible object is `TransactionAccessListType`

    - #### setTransactionaccesslist

          public void setTransactionaccesslist(TransactionAccessListType value)

      Sets the value of the transactionaccesslist property.
      Parameters:
        `value` - allowed object is `TransactionAccessListType`

Connector Packaging PERSLOGOPEDIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.